[Solved] Virtualbox 5.0 not installed properly

Discussions related to using VirtualBox on Linux hosts.

[Solved] Virtualbox 5.0 not installed properly

Postby gunjae » 17. Sep 2015, 20:00

Hello,

I tried to install virtualbox-5.0 on LinuxMint 17.2. I registered virtualbox repository list as shown in the download page.
So, I can install the virtualbox with apt-get install.
But, following errors appear.

Code: Select all   Expand viewCollapse view
Stopping VirtualBox kernel modules ...done.
Uninstalling old VirtualBox DKMS kernel modules ...done.
Trying to register the VirtualBox kernel modules using DKMS ...done.
Starting VirtualBox kernel modules ...failed!
  (modprobe vboxdrv failed. Please use 'dmesg' to find out why)



I can launch the virtualbox-5.0 but also following errors are shown

Code: Select all   Expand viewCollapse view
WARNING: The vboxdrv kernel module is not loaded. Either there is no module
         available for the current kernel (3.16.0-38-generic) or it failed to
         load. Please recompile the kernel module and install it by

           sudo /etc/init.d/vboxdrv setup

         You will not be able to start VMs until this problem is fixed.


I searched for this issue and reinstalled virtualbox, but problem wasn't solved.

This is my /var/log/vbox-install.log

Code: Select all   Expand viewCollapse view
ninstalling modules from DKMS
  removing old DKMS module vboxhost version  5.0.4

-------- Uninstall Beginning --------
Module:  vboxhost
Version: 5.0.4
Kernel:  3.16.0-38-generic (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

vboxdrv.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.16.0-38-generic/kernel/misc/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxnetflt.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.16.0-38-generic/kernel/misc/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxnetadp.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.16.0-38-generic/kernel/misc/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


vboxpci.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.16.0-38-generic/kernel/misc/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
Last edited by gunjae on 20. Sep 2015, 10:22, edited 1 time in total.
gunjae
 
Posts: 4
Joined: 17. Sep 2015, 19:50

Re: Virtualbox 5.0 not installed properly

Postby noteirak » 17. Sep 2015, 20:02

What is the output of
Code: Select all   Expand viewCollapse view
sudo modprobe vboxdrv
Hyperbox - Virtual Infrastructure Manager - https://kamax.io/hbox/
Manage your VirtualBox infrastructure the free way!
noteirak
Site Moderator
 
Posts: 5189
Joined: 13. Jan 2012, 11:14
Primary OS: Debian other
VBox Version: OSE Debian
Guest OSses: Debian, Win 2k8, Win 7

Re: Virtualbox 5.0 not installed properly

Postby gunjae » 17. Sep 2015, 21:11

This is an output of modprobe vboxdrv

Code: Select all   Expand viewCollapse view
modprobe: ERROR: could not insert 'vboxdrv': Unknown symbol in module, or unknown parameter (see dmesg)


Here are contents of dmesg

Code: Select all   Expand viewCollapse view
dmesg | grep vboxdrv
[  477.033675] vboxdrv: module verification failed: signature and/or  required key missing - tainting kernel
[  477.034082] vboxdrv: Unknown symbol mcount (err 0)
[  784.686762] vboxdrv: Unknown symbol mcount (err 0)
[ 8551.361507] vboxdrv: Unknown symbol mcount (err 0)


Thanks
gunjae
 
Posts: 4
Joined: 17. Sep 2015, 19:50

Re: Virtualbox 5.0 not installed properly

Postby noteirak » 18. Sep 2015, 09:23

It seems like kernel module signature verification has been enabled. I am also running Mint 17.2 and doesn't seem to be enabled by default. Did you do that?
Hyperbox - Virtual Infrastructure Manager - https://kamax.io/hbox/
Manage your VirtualBox infrastructure the free way!
noteirak
Site Moderator
 
Posts: 5189
Joined: 13. Jan 2012, 11:14
Primary OS: Debian other
VBox Version: OSE Debian
Guest OSses: Debian, Win 2k8, Win 7

Re: Virtualbox 5.0 not installed properly

Postby gunjae » 18. Sep 2015, 20:51

I didn't modify ant settings in the linux kernel after installing Linux Mint 17.2
gunjae
 
Posts: 4
Joined: 17. Sep 2015, 19:50

Re: Virtualbox 5.0 not installed properly

Postby LonnieC » 19. Sep 2015, 03:43

I am seeing a same thing after doing the latest batch of upgrades on Ubuntu 15.04 headless (basic lamp install with vbox). Everything was working prior. After hitting enter to apt-get upgrade I got an error stating that Vbox was running and that I should close Vbox and run an update again. I don't recall the exact verbiage thinking I would just stop the services and run apt-get upgrade again and it would succeed but there was nothing to install on next attempt. I am seeing all the same things as gunjae and not really sure how to continue. I have not tried uninstalling/re-installing yet but was hoping to try fixing this first before possibly breaking my existing VMs with a re-install. I guess that is a question I have too if removing VBox and then installing again would break the current config but I need to do some research on that first before doing this. There is one VM that I would like to save if possible, nothing critical but just a lot of time. The rest can be rebuilt I guess. I'm not sure yet which update caused the issue. There were roughly 15 that installed along with headers with dist-upgrade but this is a pretty basic install so I'd be surprised if this isn't seen by more than just gunjae and I. I had all the Vbox's shutdown but I did not stop VBox's services before upgrading so maybe that was key? If anyone has any ideas on how to proceed I would be interested in hearing it.

PS. If I don't find/hear anything by tomorrow on how to fix this I'll reload with Ubuntu 14.04, which is what was supposed to be installed and hopefully I don't have this issue.
LonnieC
 
Posts: 1
Joined: 19. Sep 2015, 03:17

Re: Virtualbox 5.0 not installed properly

Postby gunjae » 20. Sep 2015, 10:20

I found a solution for this issue as referring to this link.

https://www.virtualbox.org/ticket/12467

I was using gcc-4.4 as a main C compiler for other application build. But, the current kernel of Linux mint 17.2 was compiled with gcc-4.8. So, I revoked gcc version to 4.8 by using of update-alternatives. Then, I uninstalled and installed virtualbox-5.0 again and it works finally.

Thanks for replies and helps
gunjae
 
Posts: 4
Joined: 17. Sep 2015, 19:50


Return to VirtualBox on Linux Hosts

Who is online

Users browsing this forum: No registered users and 287 guests